Package org.apache.catalina.connector

# Class CoyoteReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
org.apache.catalina.connector.CoyoteReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

public class CoyoteReader extends BufferedReader
Coyote implementation of the buffered reader.

Author:
  Remy Maucherat

## Field Summary

Fields
Modifier and Type
Field
Description
`protected InputBuffer`
`ib`
`protected char[]`
`lineBuffer`

### Fields inherited from class java.io.Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`CoyoteReader(InputBuffer ib)`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`clone()`
Prevent cloning the facade.
`void`
`close()`
`void`
`mark(int readAheadLimit)`
`boolean`
`markSupported()`
`int`
`read()`
`int`
`read(char[] cbuf)`
`int`
`read(char[] cbuf, int off, int len)`
`String`
`readLine()`
`boolean`
`ready()`
`void`
`reset()`
`long`
`skip(long n)`

### Methods inherited from class java.io.BufferedReader

`lines`

### Methods inherited from class java.io.Reader

`nullReader, read, transferTo`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ib

protected InputBuffer ib

### lineBuffer

protected char[] lineBuffer

## Constructor Details

### CoyoteReader

public CoyoteReader(InputBuffer ib)

## Method Details

### clone

protected Object clone() throws CloneNotSupportedException
Prevent cloning the facade.

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `BufferedReader`
Throws:
  `IOException`

### read

public int read() throws IOException

Overrides:
  `read` in class `BufferedReader`
Throws:
  `IOException`

### read

public int read(char[] cbuf) throws IOException

Overrides:
  `read` in class `Reader`
Throws:
  `IOException`

### read

public int read(char[] cbuf, int off, int len) throws IOException

Overrides:
  `read` in class `BufferedReader`
Throws:
  `IOException`

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `BufferedReader`
Throws:
  `IOException`

### ready

public boolean ready() throws IOException

Overrides:
  `ready` in class `BufferedReader`
Throws:
  `IOException`

### markSupported

public boolean markSupported()

Overrides:
  `markSupported` in class `BufferedReader`

### mark

public void mark(int readAheadLimit) throws IOException

Overrides:
  `mark` in class `BufferedReader`
Throws:
  `IOException`

### reset

public void reset() throws IOException

Overrides:
  `reset` in class `BufferedReader`
Throws:
  `IOException`

### readLine

public String readLine() throws IOException

Overrides:
  `readLine` in class `BufferedReader`
Throws:
  `IOException`